Bug 447181

Summary: preupgrade hung first try, second try succeeded
Product: [Fedora] Fedora Reporter: Craig White <craigwhite>
Component: preupgradeAssignee: Will Woods <wwoods>
Status: CLOSED WORKSFORME QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 9CC: ed, jonathansteffan, wwoods
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-06-15 15:10:39 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Craig White 2008-05-18 11:54:50 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:
I don't know...it's sort of a one shot pony

Steps to Reproduce:
1. Fedora 8 - up to date
2. Ran preupgrade as root from commandline
3. Wizard proceeded successfully until it hit the point where it was supposedly
downloading installation binaries and it hung there, until I closed it and
restarted it and then it started over and it went fine from that point.
Actual results:
See above

Expected results:
See above

Additional info:

Since I started it from command line, I have standard out/error in console which
I captured...

*** from the first launch *********************************************
# preupgrade
Loading "priorities" plugin
Loading "fastestmirror" plugin
Loading mirror speeds from cached hostfile
 * anaconda-upgrade: mirrors.usc.edu
Loading mirror speeds from cached hostfile
 * anaconda-upgrade: mirrors.usc.edu
No package matched to remove
Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 198, in on_assistant_apply
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 206, in _do_main
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 349, in main_preupgrade
  File "/usr/lib/python2.5/site-packages/preupgrade/__init__.py", line 381, in
  File "/usr/lib/python2.5/ConfigParser.py", line 286, in readfp
    self._read(fp, filename)
  File "/usr/lib/python2.5/ConfigParser.py", line 462, in _read
    raise MissingSectionHeaderError(fpname, lineno, line)
ConfigParser.MissingSectionHeaderError: File contains no section headers.
file: <???>, line: 1
'-rw-r--r--    1 1002     1002          386 May  7 21:52 .treeinfo\r\n'

*** from the second launch *********************************************
You have new mail in /var/spool/mail/root
[root@lin-workstation opt]#
[root@lin-workstation opt]# preupgrade
Loading "priorities" plugin
Loading "fastestmirror" plugin
Loading mirror speeds from cached hostfile
 * anaconda-upgrade: mirrors.usc.edu
Loading mirror speeds from cached hostfile
 * anaconda-upgrade: mirrors.usc.edu
No package matched to remove
Not enough space in /boot/upgrade to cache stage2.img.

It will be downloaded once the installer starts.

*** finally, some stats if these matter *********************

[root@lin-workstation ~]# du -s /boot
24533   /boot

[root@lin-workstation ~]# ls -l /boot/upgrade/
total 11456
-rw-r--r-- 1 root root 9592925 2008-05-07 18:50 initrd.img
-rw-r--r-- 1 root root 2086048 2008-05-07 18:50 vmlinuz

[root@lin-workstation ~]# df -h|grep boot
/dev/sda1              99M   30M   65M  32% /boot
Comment 1 Will Woods 2008-11-09 20:43:41 EST
*** Bug 447208 has been marked as a duplicate of this bug. ***
Comment 2 Will Woods 2008-11-09 20:47:50 EST
The error message - and the fact that it doesn't happen every time - makes me think this bug only happens with certain mirrors. That would also explain why I can't reproduce it myself, since our test lab has its own mirror.

I'm guessing this might be specific to FTP mirrors - I'll attempt to reproduce.
Comment 3 Ed Avis 2009-05-28 07:24:35 EDT
I believe I have seen the same upgrading from F10 to F11 preview:

bash-3.2$ preupgrade
Loaded plugins: blacklist, refresh-packagekit, whiteout
Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 237, in on_assistant_apply
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 256, in _do_main
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 483, in main_preupgrade
  File "/usr/lib/python2.5/site-packages/preupgrade/__init__.py", line 780, in figure_out_what_we_need
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 2656, in update
    installed_pkg =  self.rpmdb.searchPkgTuple(installed)[0]
IndexError: list index out of range

Again, it hung after downloading something, but before starting to download the packages.  I am rerunning preupgrade now.
Comment 4 Bug Zapper 2009-06-09 20:58:12 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Ed Avis 2009-06-12 11:44:40 EDT
The version number of this bug should be updated to 10 or 11, since it also affects upgrading from Fedora 10 to Fedora 11.  However the bugzilla web interface doesn't give me the option to change the version, although I am logged in.  Could someone do it?
Comment 6 Will Woods 2009-06-15 15:10:39 EDT
That's a totally different bug, Ed. If you can reproduce it with preupgrade-1.1.0 upgrading to F11 final, please file a new bug.

As for *this* bug, nobody seems to be able to reproduce the specific failure from comment #0, so I'm going to assume that it was caused by a bad interaction with certain FTP mirrors (which have since been fixed or removed).

If anyone sees that specific error, feel free to reopen this bug, and please give me the URL of the mirror that caused the problem.